API to bulk edit products and their associated prices (max 30 entities)
POST
/
products
/
bulk-update
/
edit
Bulk Edit Products and Prices
curl --request POST \
--url https://services.leadconnectorhq.com/products/bulk-update/edit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"products": [
{
"_id": "64a1b2c3d4e5f67890123456",
"name": "Premium Product",
"description": "A high-quality premium product with excellent features and durability",
"image": "https://example.com/product-image.jpg",
"availableInStore": true,
"prices": [
{
"_id": "64a1b2c3d4e5f67890123456",
"name": "Standard Plan",
"amount": 99.99,
"currency": "USD",
"compareAtPrice": 129.99,
"availableQuantity": 100,
"trackInventory": true,
"allowOutOfStockPurchases": false,
"sku": "SKU-001",
"trialPeriod": 7,
"totalCycles": 12,
"setupFee": 25,
"shippingOptions": {}
}
],
"collectionIds": [
"64a1b2c3d4e5f67890123458",
"64a1b2c3d4e5f67890123459"
],
"isLabelEnabled": true,
"isTaxesEnabled": true,
"seo": {
"title": "Best Product - Buy Now",
"description": "This is the best product you can buy online with amazing features and great value"
},
"slug": "premium-product",
"automaticTaxCategoryId": "64a1b2c3d4e5f67890123460",
"taxInclusive": false,
"taxes": [
{}
],
"medias": [
{}
],
"label": {}
}
]
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
altId: '6578278e879ad2646715ba9c',
altType: 'location',
products: [
{
_id: '64a1b2c3d4e5f67890123456',
name: 'Premium Product',
description: 'A high-quality premium product with excellent features and durability',
image: 'https://example.com/product-image.jpg',
availableInStore: true,
prices: [
{
_id: '64a1b2c3d4e5f67890123456',
name: 'Standard Plan',
amount: 99.99,
currency: 'USD',
compareAtPrice: 129.99,
availableQuantity: 100,
trackInventory: true,
allowOutOfStockPurchases: false,
sku: 'SKU-001',
trialPeriod: 7,
totalCycles: 12,
setupFee: 25,
shippingOptions: {}
}
],
collectionIds: ['64a1b2c3d4e5f67890123458', '64a1b2c3d4e5f67890123459'],
isLabelEnabled: true,
isTaxesEnabled: true,
seo: {
title: 'Best Product - Buy Now',
description: 'This is the best product you can buy online with amazing features and great value'
},
slug: 'premium-product',
automaticTaxCategoryId: '64a1b2c3d4e5f67890123460',
taxInclusive: false,
taxes: [{}],
medias: [{}],
label: {}
}
]
})
};
fetch('https://services.leadconnectorhq.com/products/bulk-update/edit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/products/bulk-update/edit"
payload = {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"products": [
{
"_id": "64a1b2c3d4e5f67890123456",
"name": "Premium Product",
"description": "A high-quality premium product with excellent features and durability",
"image": "https://example.com/product-image.jpg",
"availableInStore": True,
"prices": [
{
"_id": "64a1b2c3d4e5f67890123456",
"name": "Standard Plan",
"amount": 99.99,
"currency": "USD",
"compareAtPrice": 129.99,
"availableQuantity": 100,
"trackInventory": True,
"allowOutOfStockPurchases": False,
"sku": "SKU-001",
"trialPeriod": 7,
"totalCycles": 12,
"setupFee": 25,
"shippingOptions": {}
}
],
"collectionIds": ["64a1b2c3d4e5f67890123458", "64a1b2c3d4e5f67890123459"],
"isLabelEnabled": True,
"isTaxesEnabled": True,
"seo": {
"title": "Best Product - Buy Now",
"description": "This is the best product you can buy online with amazing features and great value"
},
"slug": "premium-product",
"automaticTaxCategoryId": "64a1b2c3d4e5f67890123460",
"taxInclusive": False,
"taxes": [{}],
"medias": [{}],
"label": {}
}
]
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"message": "Products updated successfully",
"status": true,
"updatedCount": 5
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
API Version
Available options:
2021-07-28 Body
application/json
Last modified on March 8, 2026
Was this page helpful?
⌘I
Bulk Edit Products and Prices
curl --request POST \
--url https://services.leadconnectorhq.com/products/bulk-update/edit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"products": [
{
"_id": "64a1b2c3d4e5f67890123456",
"name": "Premium Product",
"description": "A high-quality premium product with excellent features and durability",
"image": "https://example.com/product-image.jpg",
"availableInStore": true,
"prices": [
{
"_id": "64a1b2c3d4e5f67890123456",
"name": "Standard Plan",
"amount": 99.99,
"currency": "USD",
"compareAtPrice": 129.99,
"availableQuantity": 100,
"trackInventory": true,
"allowOutOfStockPurchases": false,
"sku": "SKU-001",
"trialPeriod": 7,
"totalCycles": 12,
"setupFee": 25,
"shippingOptions": {}
}
],
"collectionIds": [
"64a1b2c3d4e5f67890123458",
"64a1b2c3d4e5f67890123459"
],
"isLabelEnabled": true,
"isTaxesEnabled": true,
"seo": {
"title": "Best Product - Buy Now",
"description": "This is the best product you can buy online with amazing features and great value"
},
"slug": "premium-product",
"automaticTaxCategoryId": "64a1b2c3d4e5f67890123460",
"taxInclusive": false,
"taxes": [
{}
],
"medias": [
{}
],
"label": {}
}
]
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
altId: '6578278e879ad2646715ba9c',
altType: 'location',
products: [
{
_id: '64a1b2c3d4e5f67890123456',
name: 'Premium Product',
description: 'A high-quality premium product with excellent features and durability',
image: 'https://example.com/product-image.jpg',
availableInStore: true,
prices: [
{
_id: '64a1b2c3d4e5f67890123456',
name: 'Standard Plan',
amount: 99.99,
currency: 'USD',
compareAtPrice: 129.99,
availableQuantity: 100,
trackInventory: true,
allowOutOfStockPurchases: false,
sku: 'SKU-001',
trialPeriod: 7,
totalCycles: 12,
setupFee: 25,
shippingOptions: {}
}
],
collectionIds: ['64a1b2c3d4e5f67890123458', '64a1b2c3d4e5f67890123459'],
isLabelEnabled: true,
isTaxesEnabled: true,
seo: {
title: 'Best Product - Buy Now',
description: 'This is the best product you can buy online with amazing features and great value'
},
slug: 'premium-product',
automaticTaxCategoryId: '64a1b2c3d4e5f67890123460',
taxInclusive: false,
taxes: [{}],
medias: [{}],
label: {}
}
]
})
};
fetch('https://services.leadconnectorhq.com/products/bulk-update/edit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/products/bulk-update/edit"
payload = {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"products": [
{
"_id": "64a1b2c3d4e5f67890123456",
"name": "Premium Product",
"description": "A high-quality premium product with excellent features and durability",
"image": "https://example.com/product-image.jpg",
"availableInStore": True,
"prices": [
{
"_id": "64a1b2c3d4e5f67890123456",
"name": "Standard Plan",
"amount": 99.99,
"currency": "USD",
"compareAtPrice": 129.99,
"availableQuantity": 100,
"trackInventory": True,
"allowOutOfStockPurchases": False,
"sku": "SKU-001",
"trialPeriod": 7,
"totalCycles": 12,
"setupFee": 25,
"shippingOptions": {}
}
],
"collectionIds": ["64a1b2c3d4e5f67890123458", "64a1b2c3d4e5f67890123459"],
"isLabelEnabled": True,
"isTaxesEnabled": True,
"seo": {
"title": "Best Product - Buy Now",
"description": "This is the best product you can buy online with amazing features and great value"
},
"slug": "premium-product",
"automaticTaxCategoryId": "64a1b2c3d4e5f67890123460",
"taxInclusive": False,
"taxes": [{}],
"medias": [{}],
"label": {}
}
]
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"message": "Products updated successfully",
"status": true,
"updatedCount": 5
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}